Visual studio 2017


#1

Will openFrameworks be available for visual studio 2017???


#2

It actually works with visual studio 2017 ide although it uses the 2016 compiler. Just make sure when you download the c++ compiler you click 2016 on the right side of the screen.


#3

ahh thank u


#4

Hi, the OF-plugin is not available in VS 2017. (How) can i install it manually? If i download it from the marketplace and doubleclick the vsix-file the installation will abort due to incomatibility. Thanks in advance!


#5

HI!

Any news on this?

thank you


#6

Hello. Did you managed to install manually OF plugin in VS 2017 finally?


#7

No news.


#8

Hey, I’ve been trying to set up OF for a while now, is it possible to change this setting after installing it… I think it would be nice to have specifics on how to change the compiler settings as the guides online are not making sense for the beginner, if you could help it would be amazing, thank you very much.


#9

the recomended by now is to use visual studio 2015, we updated the link in the setup guide recently to point to that version


#10

Thank you for the quick reply! I will try that :slight_smile:


#11

It works!!! Thank you so much! This is exciting, much of a jump from p5.js so it is intoxicating :smiley:


#13

It seems MS killed the 2015 link. Looks like they don’t offer the 2015 download anymore, only 2017.

There might still be the option of downloading the older version, but I can’t seem to get to it. MS tells me I need some sort of paid account to get access to older versions


#14

You can try this one:


#15

Thank you so much. Installing it now.


#16

i’ve just changed the links in the site again, thanks for the link!


#17

If you want to use 2017 visual studio with the current open frameworks just click c++ development and click where my mouse is on the right side of the screen. You want to download the 2015 toolset. Then after you just have to not upgrade to 2017.

Then it should work.


Visual Studio 2017 compiling problems
#18

Not working for me. Should I be able to see it in the marketplace?


#19

I just worked on a project using VS2017with no problems at all. You need to make sure that you install all the C++ stuff when asked for what to install. As far as I can remember it is not installed by default. If in doubt a fast google search should be enough.

When you open an OF project it will ask if you want to update it to work with vs2017’s toolchain. Just press yes.

If you want to avoid having to do this each time you open a new project made with the project generator, you’ll need to make a small change. Open the following file with any text editor ofFolder/scripts/templates/vs/emptyExample.vcxproj and search for <PlatformToolset>v140</PlatformToolset> and replace for <PlatformToolset>v141</PlatformToolset>. save the file and close.

Now any new PG project will be ready to use with vs2017

BTW, I was using the current github master version, but this method should also work with v0.9.8

best


#20

Make sure you selected all of the above from visual studio 2017 and I usually just x out of the prompt that comes up but I guess you can follow what roy macdonald said above.


#21

Ok. I installed VC++ 2015 toolset. Still can’t see of in the marketplace, and manual installation complains. So how do I install of ?